ffmpeg (7:8.0.1-3ubuntu2) resolute; urgency=medium

  * Rebuild against new libpocketsphinx5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Feb 2026 22:02:24 +0100

ffmpeg (7:8.0.1-3ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use librav1e on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Jan 2026 11:00:47 +0100

ffmpeg (7:8.0.1-3) unstable; urgency=medium

  * debian/: Disable libcaca to remove it from the key package set
  * debian/control:
    - Bump-Standards-Version
    - Drop RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 29 Dec 2025 16:47:42 +0100

ffmpeg (7:8.0.1-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use librav1e on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Dec 2025 09:42:40 +0100

ffmpeg (7:8.0.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/: Drop pocketsphinx until #1087917 is fixed

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Dec 2025 13:29:02 +0100

ffmpeg (7:8.0.1-1) experimental; urgency=medium

  [ Diederik de Haas ]
  * debian/tests/control: Replace pkg-config with pkgconf

  [ Sebastian Ramacher ]
  * New upstream version 8.0.1
  * debian/patches: Drop patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 21 Nov 2025 18:57:10 +0100

ffmpeg (7:8.0-2) experimental; urgency=medium

  * debian/tests: Remove deprecated/removed codecs
  * debian/control: Remove mips-specific handling
  * debian/:
    - libjxl-dev is now available on alpha
    - Remove ia64 handling
  * debian/rules: Static libraries are installed from the standard flavor
  * debian/patches: Unbreak build with glslang 16 (Closes: #1120579)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 12 Nov 2025 21:39:23 +0100

ffmpeg (7:8.0-1) experimental; urgency=medium

  [ Balint Reczey ]
  * Remove myself from Uploaders

  [ Sebastian Ramacher ]
  * New upstream version 8.0
  * SONAME bumps:
    - libavcodec61 -> libavcodec62
    - libavdevice61 -> libavdevice62
    - libavfilter10 -> libavfilter11
    - libavformat61 -> libavformat62
    - libavutil59 -> libavutil60
    - libswresample5 -> libswresample6
    - libswscale8 -> libswscale9
  * debian/: Remove libpostproc
  * debian/control: Bump libplacebo-dev BD
  * debian/copyright: Update for new upstream release
  * debian/rules:
    - Re-enable ASM optimizations on riscv64
    - Remove mips* specific handling

  [ Sean McGovern ]
  * disable ASM-based optimizations on ppc64 as well (Closes: #1108731)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 11 Sep 2025 00:18:21 +0200

ffmpeg (7:7.1.3-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Dec 2025 12:07:32 +0100

ffmpeg (7:7.1.3-1) unstable; urgency=medium

  * New upstream version 7.1.3
  * debian/patches: Unbreak build with glslang 16 (Closes: #1120579)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Nov 2025 11:20:04 +0100

ffmpeg (7:7.1.2-1ubuntu4) resolute; urgency=medium

  * No-change rebuild for libplacebo351.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 30 Oct 2025 18:45:47 +0000

ffmpeg (7:7.1.2-1ubuntu3) resolute; urgency=medium

  * Rebuild against latest libbluray

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Oct 2025 13:51:04 -0400

ffmpeg (7:7.1.2-1ubuntu2) resolute; urgency=medium

  * Rebuild against new libx264-165.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Oct 2025 19:50:35 +0200

ffmpeg (7:7.1.2-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Oct 2025 19:34:26 +0200

ffmpeg (7:7.1.2-1) unstable; urgency=medium

  * New upstream version 7.1.2
    - Fixes CVE-2025-1594

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Sep 2025 23:40:08 +0200

ffmpeg (7:7.1.1-1ubuntu4) questing; urgency=medium

  * SECURITY UPDATE: Stack-based buffer overflow in AAC Encoder
    - debian/patches/CVE-2025-1594.patch: aacenc_tns: clamp filter
      direction energy measurement
    - CVE-2025-1594

 -- John Breton <john.breton@canonical.com>  Wed, 03 Sep 2025 11:40:56 -0400

ffmpeg (7:7.1.1-1ubuntu3) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 11:22:25 +0000

ffmpeg (7:7.1.1-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:17:23 +0200

ffmpeg (7:7.1.1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Mar 2025 07:33:39 +0100

ffmpeg (7:7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1
    - Fix out-of-bounds read (CVE-2025-0518)
  * debian/control: Bump Standards-Version
  * debian/patches: Remove patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 08 Mar 2025 10:34:57 +0100

ffmpeg (7:7.1-4ubuntu2) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Feb 2025 07:57:19 +0100

ffmpeg (7:7.1-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Feb 2025 09:29:53 +0100

ffmpeg (7:7.1-4) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * Move build-dependency from libjs-bootstrap to libjs-bootstrap5
    (Closes: #1088454)

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 21 Feb 2025 13:16:27 +0100

ffmpeg (7:7.1-3ubuntu3) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 14:43:09 -0500

ffmpeg (7:7.1-3ubuntu2) plucky; urgency=medium

  * No-change rebuild for x265.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 23 Jan 2025 12:20:05 +0000

ffmpeg (7:7.1-3ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 17:49:59 +0100

ffmpeg (7:7.1-3) unstable; urgency=medium

  [ Diederik de Haas ]
  * d/copyright: Update for removed and moved files

  [ Sebastian Ramacher ]
  * debian/rules: Disable asm on riscv64
    See https://trac.ffmpeg.org/ticket/11258 for details

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Oct 2024 18:31:51 +0100

ffmpeg (7:7.1-2) experimental; urgency=medium

  * debian/patches: Apply patches from upstream and skip tests using
    non-existing pmtchange.ts
  * debian/*.symbols:
    - Remove dropped internal symbol
    - Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Oct 2024 16:03:45 +0200

ffmpeg (7:7.1-1) experimental; urgency=medium

  * New upstream version 7.1
  * debian/patches: Remove patches from upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Oct 2024 17:18:27 +0200

ffmpeg (7:7.0.2-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Aug 2024 07:51:22 +0200

ffmpeg (7:7.0.2-3) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix armel/armhf asm builds
  * debian/rules: Revert "Temporarily disable ASM optimizations on armel and
    armhf" (Closes: #1074370)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 13 Aug 2024 23:04:54 +0200

ffmpeg (7:7.0.2-2ubuntu2) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 14:39:22 +0200

ffmpeg (7:7.0.2-2) unstable; urgency=medium

  * debian/patches: Apply patches to avoid VA-API failures with modern Mesa3D
    (Closes: #1072038)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Aug 2024 23:03:13 +0200

ffmpeg (7:7.0.2-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too
    - Force gcc-13 on s390x, fixing a failure during build with no log

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Aug 2024 08:27:00 +0200

ffmpeg (7:7.0.2-1) unstable; urgency=medium

  * New upstream version 7.0.2
    - Fix FTBFS on big-endian architectures with gcc 14 (Closes: #1077551)
    - Fix FTBFS on 32 bit architectures with gcc 14
  * debian/rules:
    - Revert "Workaround gcc 14 warnings on big-endian architectures"
    - Revert "Workaround gcc 14 warnings on 32 bit architectures"

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Aug 2024 00:26:53 +0200

ffmpeg (7:7.0.1-5) unstable; urgency=medium

  * debian/rules: Workaround gcc 14 warnings on big-endian architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 30 Jul 2024 11:02:59 +0200

ffmpeg (7:7.0.1-4) unstable; urgency=medium

  * debian/rules: Workaround gcc 14 warnings on 32 bit architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jul 2024 22:51:12 +0200

ffmpeg (7:7.0.1-3) unstable; urgency=medium

  [ Bastian Germann ]
  * Build with libssh's default flavor

  [ Sebastian Ramacher ]
  * Upload to unstable
  * debian/: Disable libcaca in stage1 (Closes: #1076567)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jul 2024 19:13:03 +0200

ffmpeg (7:7.0.1-2) experimental; urgency=medium

  * debian/rules: Temporarily disable ASM optimizations on armel and armhf

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Jul 2024 00:17:43 +0200

ffmpeg (7:7.0.1-1) experimental; urgency=medium

  [ Sebastian Ramacher ]
  * New upstream version 7.0.1
  * debian/: Disable ASM-based optimizations on powerpc and ppc64el
  * debian/tests: Drop one test for nut

  [ Diederik de Haas ]
  * d/tests: Update list_formats for extra output column in ffmpeg 7.0
    (Closes: #1071666)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 31 May 2024 19:31:33 +0200

ffmpeg (7:7.0-1) experimental; urgency=medium

  * New upstream version 7.0
  * SONAME bumps:
    - libavcodec60 -> libavcodec61
    - libavdevice60 -> libavdevice61
    - libavfilter9 -> libavfilter10
    - libavformat60 -> libavformat61
    - libavutil58 -> libavutil59
    - libpostproc57 -> libpostproc58
    - libswresample4 -> libswresample5
    - libswscale7 -> libswscale8
  * debian/: Enable dvd{nav,read} support
  * debian/:
    - Remove no longer needed patches
    - Add upstream post-release patches to fix some tests and other bugs
  * debian/rules: Ensure symbols files are generated when building with
    pkg.ffmpeg.noextra profile
  * debian/copyright: Update for new upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Apr 2024 01:08:10 +0200

ffmpeg (7:6.1.1-5ubuntu3) oracular; urgency=medium

  * Rebuild against new librav1e0.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jul 2024 18:59:24 +0200

ffmpeg (7:6.1.1-5ubuntu2) oracular; urgency=medium

  * Rebuild against new libsvtav1enc2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 16:40:36 +0200

ffmpeg (7:6.1.1-5ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Jul 2024 09:32:57 +0200

ffmpeg (7:6.1.1-5) unstable; urgency=medium

  * debian/rules: Temporarily disable ASM optimizations on armel and armhf

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Jul 2024 00:22:10 +0200

ffmpeg (7:6.1.1-4ubuntu3) oracular; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Jun 2024 19:29:42 -0400

ffmpeg (7:6.1.1-4ubuntu2) oracular; urgency=medium

  * Rebuild against new libjxl0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 22:31:05 +0200

ffmpeg (7:6.1.1-4ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 15:00:20 +0200

ffmpeg (7:6.1.1-4) unstable; urgency=medium

  * debian/patches: Fix build with more recent mesa (Closes: #1069349)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Apr 2024 21:34:31 +0200

ffmpeg (7:6.1.1-3ubuntu5) noble; urgency=medium

  * Rebuild against new librist.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 19:28:52 +0200

ffmpeg (7:6.1.1-3ubuntu4) noble; urgency=medium

  * Rebuild against new librist.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 17:08:11 +0200

ffmpeg (7:6.1.1-3ubuntu3) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 13:58:25 +0200

ffmpeg (7:6.1.1-3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:35:03 +0000

ffmpeg (7:6.1.1-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Mar 2024 17:46:22 +0100

ffmpeg (7:6.1.1-3) unstable; urgency=medium

  * debian/:
    - Add build profile pkg.ffmpeg.noextra to disable the build of the -extra
      packages.
    - Disable OpenMAX support
    - Skip more dependencies in pkg.ffmpeg.stage1 build profile

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 22 Mar 2024 07:30:38 +0100

ffmpeg (7:6.1.1-2ubuntu4) noble; urgency=medium

  * No-change rebuild to pick up libvpx.so.9

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 18 Mar 2024 09:20:34 +0100

ffmpeg (7:6.1.1-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:04:07 +0000

ffmpeg (7:6.1.1-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 17:13:42 +0100

ffmpeg (7:6.1.1-2) unstable; urgency=medium

  * debian/patches: Fix compilation with glslang 14 (Closes: #1064740)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Feb 2024 23:26:37 +0100

ffmpeg (7:6.1.1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 10:04:58 +0100

ffmpeg (7:6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1
  * debian/control: Use pkgconf
  * debian/patches: Remove patches included upstream
  * debian/copyright: Remove unused file patterns
  * debian/*.lintian-overrides: Update due renamed tags

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Dec 2023 10:42:58 +0100

ffmpeg (7:6.1-5ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:27:51 +0100

ffmpeg (7:6.1-5) unstable; urgency=medium

  [ - ]
  * debian/: Build with harfbuzz (Closes: #1056597)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Dec 2023 12:59:43 +0100

ffmpeg (7:6.1-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 10:01:17 +0100

ffmpeg (7:6.1-4) unstable; urgency=medium

  * debian/patches: Apply new upstream patch

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Nov 2023 20:52:36 +0100

ffmpeg (7:6.1-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Nov 2023 09:32:19 +0100

ffmpeg (7:6.1-3) unstable; urgency=medium

  * debian/patches: Fix crash in vlc hardware decoder (Closes: #1055952,
    #1056058, #1056149)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Nov 2023 10:48:05 +0100

ffmpeg (7:6.1-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Nov 2023 10:31:00 +0100

ffmpeg (7:6.1-2) unstable; urgency=medium

  * debian/patches: Fix segfault when freeing FFT instances
  * debian/tests:
    - Fix parsing of encoders and decoders
    - Fix file name for hls tests
    - Disable streamcopy test of matroska/gif

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Nov 2023 15:38:18 +0100

ffmpeg (7:6.1-1) unstable; urgency=medium

  * New upstream version 6.1
  * debian/patches: Remove patches included upstream
  * debian/: Remove use of pkgkde_symbolshelper
  * debian/*.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 13:02:47 +0100

ffmpeg (7:6.0-9ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Nov 2023 06:33:32 +0100

ffmpeg (7:6.0-9) unstable; urgency=medium

  * debian/patches: Workaround build issues with texinfo 7.1 (Closes:
    #1055111)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 Nov 2023 00:06:10 +0100

ffmpeg (7:6.0-8) unstable; urgency=medium

  * debian/: Re-enable libsvtav1 (Closes: #1055058)
  * debian/rules: Remove mips(el)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 30 Oct 2023 21:55:47 +0100

ffmpeg (7:6.0-7) unstable; urgency=medium

  * debian/: Disable libsvtav1 to unblock transition

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Sep 2023 08:47:33 +0200

ffmpeg (7:6.0-6ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 20:33:31 +0200

ffmpeg (7:6.0-6) unstable; urgency=medium

  * debian/libavutils58.symbols: Fix version for avpriv symbols
  * debian/: Enable rav1e on riscv64
  * debian/rules: Build static libraries with PIC enabled

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Aug 2023 10:24:18 +0200

ffmpeg (7:6.0-5ubuntu2) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Aug 2023 15:39:23 +0200

ffmpeg (7:6.0-5) unstable; urgency=medium

  * debian/patches: Apply upstream patches for libplacebo 6.292 (Closes:
    #1042812)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Aug 2023 13:32:04 +0200

ffmpeg (7:6.0-4ubuntu2) mantic; urgency=medium

  * Rebuild against new libplacebo292.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Aug 2023 10:32:31 +0200

ffmpeg (7:6.0-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2023 20:13:26 +0200

ffmpeg (7:6.0-4) unstable; urgency=medium

  * Upload to unstable
  * debian/tests: No longer test svq1 codec with matroska.
  * debian/patches: Fix build of examples

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Jul 2023 08:58:41 +0200

ffmpeg (7:6.0-3) experimental; urgency=medium

  * debian/tests: No longer test deprecated ayuv codec
  * debian/patches: Fix build with binutils 2.41
  * debian/: Remove handling of kfreebsd

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 17 Jul 2023 22:22:59 +0200

ffmpeg (7:6.0-2) experimental; urgency=medium

  * debian/: Produce tight dependencies only for internal use of avpriv
    symbols (Closes: #1034315)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Apr 2023 23:24:21 +0200

ffmpeg (7:6.0-1) experimental; urgency=medium

  * New upstream version 6.0
  * SONAME bumps
    - libavcodec59 -> libavcodec60
    - libavdevice59 -> libavdevice60
    - libavfilter8 -> libavfilter9
    - libavformat59 -> libavformat60
    - libavutil57 -> libavutil58
    - libpostproc56 -> libpostproc57
    - libswscale6 -> libswscale7
  * debian/patches: Remove patches included upstream
  * debian/gbp.conf: Work in debian/experimental
  * debian/: Build with oneVPL support (Closes: #1023718)
  * debian/control: Remove lbgl1-mesa-dev from Build-Depends
  * debian/copyright:
    - Update copyright years
    - Update file paths

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Mar 2023 15:47:45 +0100

ffmpeg (7:5.1.3-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Jul 2023 07:59:34 +0200

ffmpeg (7:5.1.3-2) unstable; urgency=medium

  * debian/patches:
    * Apply upstream patches for binutils 2.41
    * Apply upstream patches for svt-av1 1.6.0 (Closes: #1041541)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 21 Jul 2023 17:52:09 +0200

ffmpeg (7:5.1.3-1ubuntu4) mantic; urgency=medium

  * debian/patches/031f1561cd286596cdb374da32f8aa816ce3b135.patch:
  * debian/patches/1c6fd7d756afe0f8b7df14dbf7a95df275f8f5ee.patch:
    - cherry-pick upstream patches for new libcodec2-1.1
  * ffmpeg-remove-x86-optimization.patch: cherry-pick build fix with newer
    binutils from qtwebengine-opensource-src

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2023 08:38:24 +0200

ffmpeg (7:5.1.3-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx, librav1e, jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2023 08:50:08 +0200

ffmpeg (7:5.1.3-1) unstable; urgency=medium

  * New upstream version 5.1.3
  * debian/patches: Drop patches from upstream
  * debian/: Produce tight dependencies only for internal use of avpriv
    symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Apr 2023 01:09:42 +0200

ffmpeg (7:5.1.2-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too
    - Don't use librav1e on i386 too
    - Don't use jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Feb 2023 23:28:22 +0100

ffmpeg (7:5.1.2-3) unstable; urgency=medium

  * debian/rules: Disable more tests on ppc64 (Closes: #1022764)
  * debian/patches: Add upstream patch to fix FTBFS after vulkan changes
    (Closes: #1031447)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Feb 2023 08:26:22 +0100

ffmpeg (7:5.1.2-2ubuntu2) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too
    - Don't use librav1e on i386 too
    - Don't use jpeg-xl on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Jan 2023 22:12:28 +0100

ffmpeg (7:5.1.2-2) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * d/control: Add support for JPEG-XL. (Closes: #1023646)

  [ Diederik de Haas ]
  * ci: Enable Salsa's CI

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Jan 2023 13:07:50 +0100

ffmpeg (7:5.1.2-1ubuntu2) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too
    - Don't use librav1e on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Nov 2022 15:03:17 +0100

ffmpeg (7:5.1.2-1) unstable; urgency=medium

  * New upstream version 5.1.2
  * debian/rules: Fix typo (Closes: #1020273)
  * debian/patches: Remove all patches, all integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Oct 2022 09:57:28 +0200

ffmpeg (7:5.1.1-2) unstable; urgency=medium

  * debian/rules: Disable filter-overlay_yuv420p10 on all BE architectures
    (Closes: #1019133)
  * debian/: Enable librav1e support
  * debian/patches: Apply upstream patch to limit automatic number of threads
    to 16

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Sep 2022 23:50:22 +0200

ffmpeg (7:5.1.1-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Sep 2022 18:16:21 +0200

ffmpeg (7:5.1.1-1) unstable; urgency=medium

  * New upstream version 5.1.1
  * debian/patches: Remove upstream patches

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Sep 2022 09:46:14 +0200

ffmpeg (7:5.1-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Aug 2022 16:18:30 +0200

ffmpeg (7:5.1-3) unstable; urgency=medium

  * debian/: Build with vulkan and libplacebo only on Linux (Closes: #1017108)
  * debian/patches: Add upstream patch to disable default ipfs gateway

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 Aug 2022 23:33:44 +0200

ffmpeg (7:5.1-2ubuntu2) kinetic; urgency=medium

  * No-change rebuild against libsvtav1enc1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Aug 2022 01:15:22 +0000

ffmpeg (7:5.1-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Aug 2022 09:30:10 +0200

ffmpeg (7:5.1-2) unstable; urgency=medium

  * debian/: Fix test failures on s390x (Closes: #1016519)
    * Apply upstream fixes for some s390x test failures
    * Disable one new failing test

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Aug 2022 20:27:24 +0200

ffmpeg (7:5.1-1) unstable; urgency=medium

  * New upstream version 5.1
  * debian/control: Remove libxvmc-dev; decoder mpeg_xvmc was removed
  * debian/patches: Apply some upstream patches from the release/5.1 branch
  * debian/ffmpeg-doc.install: Fix installation of documentation
  * debian/*.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Jul 2022 20:07:37 +0200

ffmpeg (7:5.0.1-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jul 2022 17:02:43 +0200

ffmpeg (7:5.0.1-3) unstable; urgency=medium

  * debian/tests: Update encoders for autopkgtests

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Jun 2022 11:29:43 +0200

ffmpeg (7:5.0.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 22 Jun 2022 22:08:33 +0200

ffmpeg (7:5.0.1-1) experimental; urgency=medium

  * New upstream version 5.0.1
  * debian/:
    - Revert "Build without svt-av1 support on i386 for now"
    - Disable sndio
    - Build with librist (Closes: #1008172)
  * debian/patches: Remove patches from upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Apr 2022 11:28:57 +0200

ffmpeg (7:5.0-3) experimental; urgency=medium

  * debian/rules: Ignore two test failures on ppc64el
  * debian/:
    - Build with --enable-libplacebo
    - Build without svt-av1 support on i386 for now

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 17 Feb 2022 22:00:15 +0100

ffmpeg (7:5.0-2) experimental; urgency=medium

  * debian/rules: Remove --disable-msa2
  * debian/: Apply upstream patch to link with libatomic

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 22 Jan 2022 13:10:28 +0100

ffmpeg (7:5.0-1) experimental; urgency=medium

  * New upstream version 5.0
  * SONAME bumps
    - libavcodec58 -> libavcodec59
    - libavdevice58 -> libavdevice59
    - libavfilter7 -> libavfilter8
    - libavformat58 -> libavformat59
    - libavutil56 -> libavutil57
    - libpostproc55 -> libpostproc56
    - libswresample3 -> libswresample4
    - libswscale5 -> libswscale6
  * debian/patches:
    - Remove patches included upstream
    - Add upstream patch to fix tests
  * debian/control:
    - Add libvulkan-dev to BD
    - Fix architecture name of m68k
  * debian/rules:
    - Build with --enable-libglslang
    - Build with --enable-libsvtav1
  * debian/copyright: Update for 5.0

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Jan 2022 20:51:12 +0100

ffmpeg (7:4.4.2-1ubuntu6) kinetic; urgency=medium

  * No-change rebuild against libsrt1.5-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2022 16:57:13 +0000

ffmpeg (7:4.4.2-1ubuntu5) kinetic; urgency=medium

  * Rebuild against latest x264

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Jun 2022 16:20:27 -0400

ffmpeg (7:4.4.2-1ubuntu4) kinetic; urgency=medium

  * No-change rebuild against latest tesseract

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Jun 2022 10:43:45 -0400

ffmpeg (7:4.4.2-1ubuntu3) kinetic; urgency=medium

  * Rebuild against new libdav1d6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 May 2022 08:15:46 +0200

ffmpeg (7:4.4.2-1ubuntu2) kinetic; urgency=medium

  * Rebuild against new libdav1d6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 May 2022 12:49:13 +0200

ffmpeg (7:4.4.2-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Apr 2022 10:01:01 +0200

ffmpeg (7:4.4.2-1) unstable; urgency=medium

  * New upstream version 4.4.2
  * debian/rules: Disable sndio

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Apr 2022 21:42:58 +0200

ffmpeg (7:4.4.1-3ubuntu5) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Mar 2022 09:00:39 +0100

ffmpeg (7:4.4.1-3ubuntu4) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Mar 2022 05:59:48 +0100

ffmpeg (7:4.4.1-3ubuntu3) jammy; urgency=medium

  * Rebuild against new libsndio7.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 12:12:08 +0100

ffmpeg (7:4.4.1-3ubuntu2) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 09:09:24 -0500

ffmpeg (7:4.4.1-3ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jan 2022 16:22:38 +0100

ffmpeg (7:4.4.1-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Restrict the clang Build-Depends to amd64 arm64 ppc64el, where CUDA exists.
    (Closes: #994537)

  [ Sebastian Ramacher ]
  * debian/control:
    - Also enable cuda_llvm on i386
    - Suggest packages for nvenc

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Jan 2022 17:49:38 +0100

ffmpeg (7:4.4.1-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Dec 2021 11:47:46 +0100

ffmpeg (7:4.4.1-2) unstable; urgency=medium

  * debian/control: Add Build-Depends on libffmpeg-nvenc-dev on amd64, arm64
    and i386 (Closes: #925941)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Nov 2021 18:48:57 +0100

ffmpeg (7:4.4.1-1ubuntu2) jammy; urgency=medium

  * Rebuild for the new libvpx soname

 -- Sebastien Bacher <seb128@debian.org>  Wed, 17 Nov 2021 13:33:11 +0100

ffmpeg (7:4.4.1-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 09:07:38 +0100

ffmpeg (7:4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * debian/tests: Limit the number of threads to max of 8
  * debian/patches: Apply upstream patch to fix build on armhf with GCC 11

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 28 Oct 2021 21:43:55 +0200

ffmpeg (7:4.4-6ubuntu5) impish; urgency=medium

  * Add upstream-proposed patch to fix gcc-11 armhf failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Sep 2021 14:06:34 +0200

ffmpeg (7:4.4-6ubuntu4) impish; urgency=medium

  * Switch back on gcc-11 and fix properly armhf by passing right flags to the
    compiler

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Sep 2021 09:29:26 +0200

ffmpeg (7:4.4-6ubuntu2) impish; urgency=medium

  * Keep gcc-10 on armhf for now.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Sep 2021 09:40:04 +0200

ffmpeg (7:4.4-6ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Sep 2021 09:04:51 +0200

ffmpeg (7:4.4-6) unstable; urgency=medium

  * debian/*.symbols: Bump version of symbols to match upstream release
  * debian/ffmpeg.maintscript: Drop removal of old conffile

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Sep 2021 22:45:41 +0200

ffmpeg (7:4.4-5ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Aug 2021 16:26:52 +0200

ffmpeg (7:4.4-5) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Aug 2021 14:34:35 +0200

ffmpeg (7:4.4-4) experimental; urgency=medium

  * debian/rules:
    - Add -latomic via --extra-libs
    - Fix architecture check for libsmbclient

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Aug 2021 12:29:18 +0200

ffmpeg (7:4.4-3) experimental; urgency=medium

  * debian/rules: Fix architecture check for -latomic

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 23:11:58 +0200

ffmpeg (7:4.4-2) experimental; urgency=medium

  * debian/control: Fix Description of libswscale3 (Closes: #984795)
  * debian/rules: Link with -latomic on armel and mipsel
  * debian/:
    - Properly disable libsmbclient support only on hurd-i386 (Closes:
      #991558)
    - Disable librvsg2 on even more ports architectures (Closes: #991556)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 21:38:36 +0200

ffmpeg (7:4.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Remove obsolete alternative BDs
    - Bump libsmbclient-dev to 4.13 to avoid #984486
    - Add clang to BD to enable cuda_llvm
  * debian/:
    - Remove --enable-libwavpack
    - Remove --enable-liblensfun. liblensfun support is currently incompatible
      with any of the released liblensfun versions.
  * debian/patches: Drop patches from upstream
  * debian/copyright: Update copyright years
  * debian/*.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Apr 2021 15:09:21 +0200

ffmpeg (7:4.3.2-2) experimental; urgency=medium

  * debian/:
    - Build with zimg (Closes: #966059)
    - Disable librsvg on hppa and sh4 (Closes: #983344)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Feb 2021 14:49:11 +0100

ffmpeg (7:4.3.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Add libgl-dev as alternative Build-Depends
  * debian/patches: Remove patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 22:15:58 +0100

ffmpeg (7:4.3.2-0+deb11u2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Jun 2021 22:32:52 +0200

ffmpeg (7:4.3.2-0+deb11u2) unstable; urgency=medium

  * debian/patches: Apply upstream patches for CVEs (Closes: #989439)
    - avfilter/vf_vmafmotion: Fix out-of-bounds access (CVE-2020-22019, CVE-2020-22033)
    - avfilter/vf_yadif: Fix out-of-bounds access (CVE-2020-22021)
    - avformat/movenc: Fix out-of-bounds access (CVE-2020-22015)
    - avcodec/pngen: Fix buffer overflow (CVE-2020-21041)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Jun 2021 22:34:50 +0200

ffmpeg (7:4.3.2-0+deb11u1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Feb 2021 08:37:49 +0100

ffmpeg (7:4.3.2-0+deb11u1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf: Branch off for bullseye
  * debian/patches: Remove patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 22:19:57 +0100

ffmpeg (7:4.3.1-9) experimental; urgency=medium

  [ Fabian Greffrath ]
  * add a libavformat-extra package that contains additional (de)muxers
    (Closes: #972897)

  [ Sebastian Ramacher ]
  * debian/control:
    - Remove empty Pre-Depends
    - Add myself to Uploaders
    - Remove Andreas Cadhalpun und Alexander Strasser from Uploaders. They are
      no longer active.
    - Remove obsolete Breaks+Replaces
  * debian/: Remove deprecated libavresample (Closes: #971318)
  * debian/copyright: Restore compatibility with Copyright-Format 1.0

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 16:33:16 +0100

ffmpeg (7:4.3.1-8ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jan 2021 23:42:22 +0100

ffmpeg (7:4.3.1-8) unstable; urgency=medium

  * Team upload
  * debian/patches: pusdec: do not fail when LBRR frames are present

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Jan 2021 19:54:17 +0100

ffmpeg (7:4.3.1-7ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 11:41:49 +0100

ffmpeg (7:4.3.1-7) unstable; urgency=medium

  * Team upload

  [ Vasyl Gello ]
  * Keep libfreetype6-dev as alternative dep for buster-bpo

  [ Sebastian Ramacher ]
  * debian/patches:
    - Apply upstream patches for srt 1.4.1
    - Fix build on powerpc and ppc64 (Closes: #968574)
  * debian/: Revert "Temporarily disable srt support" (Closes: #975988,
    #972556)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Jan 2021 20:36:50 +0100

ffmpeg (7:4.3.1-6ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Jan 2021 20:54:33 +0100

ffmpeg (7:4.3.1-6) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Bump Standards-Version
    - Drop obsolete Build-Depends
    - Switch to libfontconfig-dev and libfreetype-dev
  * debian/patches:
    - Fix out-of-bounds write in libavcodec/exr.c (Closes: #980000)
      (CVE-2020-35964)
    - Fix out-of-bounds write in libavcodec/vividas.c (Closes: #979999)
      (CVE-2020-35965)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Jan 2021 20:48:08 +0100

ffmpeg (7:4.3.1-5ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Oct 2020 08:22:22 +0100

ffmpeg (7:4.3.1-5) unstable; urgency=medium

  * Team upload
  * debian/: Temporarily disable libsrt support (see #972556 and #971754)
    Once libsrt provides a stable ABI, support can be reenabled.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 25 Oct 2020 09:38:59 +0100

ffmpeg (7:4.3.1-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Sep 2020 18:19:39 +0200

ffmpeg (7:4.3.1-4) unstable; urgency=medium

  * Team upload
  * debian/control: Switch to libdc1394-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 Sep 2020 22:22:44 +0200

ffmpeg (7:4.3.1-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Sep 2020 09:25:55 +0200

ffmpeg (7:4.3.1-3) unstable; urgency=medium

  * Team upload

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + use signed tags
    + filter any .git* file
  * fix typo in README.Debian
  * drop lintian override for typo fixed upstream
  * remove myelf as uploader

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Sebastian Ramacher ]
  * Set Bug-Database, Repository-Browse and Security-Contact

  [ Pino Toscano ]
  * Disable pocketsphinx on few more architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Sep 2020 18:15:33 +0200

ffmpeg (7:4.3.1-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Aug 2020 14:33:53 +0200

ffmpeg (7:4.3.1-2) unstable; urgency=medium

  * avoid linking with pocketsphinx on bigendian archs;
    closes: bug#968456, thanks to John David Anglin

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Aug 2020 23:08:50 +0200

ffmpeg (7:4.3.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Aug 2020 08:16:19 +0200

ffmpeg (7:4.3.1-1) unstable; urgency=high

  [ upstream ]
  * new maintenance release
    + fix libavformat heap-based buffer overflow in avio_get_str
      (CVE-2020-14212)
    + fix libavformat use-after-free in hls
      (CVE-2020-13904)

  [ Jonas Smedegaard ]
  * add patch cherry-picked upstream
    to avoid libswscale segfault on SSSE3 capable systems
    closes: bug#964312, thanks to Jörg Schütter
  * Document omitted features in README.Debian and TODO.Debian
    (not rules file comments)
  * use debhelper compatibility level 12 (not 13)
  * set urgency=high due to security-related bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Aug 2020 16:10:03 +0200

ffmpeg (7:4.3-3ubuntu2) groovy; urgency=medium

  * No-change rebuild for x264/x265 soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2020 11:42:44 +0200

ffmpeg (7:4.3-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)
    - Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Jul 2020 08:53:06 +0200

ffmpeg (7:4.3-3) unstable; urgency=medium

  * link with dav1d;
    build-depend on libdav1d-dev
  * build-depend on libbrotli-dev
    (as temporary workaround, see bug#964185)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Jul 2020 17:57:57 +0200

ffmpeg (7:4.3-2ubuntu2) groovy; urgency=medium

  * Don't use pocketsphinx on i386 too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jun 2020 20:40:15 +0200

ffmpeg (7:4.3-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Jun 2020 23:52:34 +0200

ffmpeg (7:4.3-2) unstable; urgency=medium

  * use debhelper compatibility level 12 (not 11);
    skip dwz for most libraries to avoid error: Unknown DWARF DW_OP_0
  * reduce and simplify shell code in make rules

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jun 2020 15:15:20 +0200

ffmpeg (7:4.3-1) experimental; urgency=medium

  [ upstream ]
  * new feature release

  [ Jonas Smedegaard ]
  * link with RabbitMQ;
    build-depend on librabbitmq-dev
  * update comments in rules file about omitted linkage
  * stop enable AviSynth: embedded code dropped upstream
  * drop patch 002, applied upstream
  * explicitly reuse symbols files (drop symbolic links),
    to not confuse pkgkde-symbolshelper
  * sort symbols, and move comments to README.source
  * briefly document use of pkgkde-symbolshelper in README.source
  * update symbols, including dropped avfilter symbols
    avfilter_all_channel_layouts avfilter_get_matrix
    (seemingly private and unused anywhere in Debian)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2020 19:20:15 +0200

ffmpeg (7:4.2.3-2) unstable; urgency=medium

  * copyright:
    + use License-Grant and License-Reference;
      add lintian overrides (see bug#786450)
    + update coverage
  * stop mention SOFAlizer in libavfilter-extra* long description:
    dropped since upstream release 3.4
  * simplify rules:
    explicitly reuse symbols files (and drop symbolic links)
  * watch: revert to set pgpsigurlmangle
    (not pgpmode=auto: we want to fail if signature file is missing)
  * use pkgkde-symbolshelper;
    build-depend on pkg-kde-tools

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2020 18:44:49 +0200

ffmpeg (7:4.2.3-1) unstable; urgency=medium

  [ upstream ]
  * new maintenance release

  [ Jonas Smedegaard ]
  * link with Pocket Sphinx where available (see bug#812335);
    build-depend on recent libpocketsphinx-dev (see bug#941377)
  * watch:
    + use file format 4
    + set pgpmode=auto
    + set dversionmangle=auto
    + use pattern strings
    + add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2020 11:58:44 +0200

ffmpeg (7:4.2.2-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with external nv-codec-headers for NVENC accelerated video
      encoding. (See Debian bug: #925941)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2020 12:55:09 +0200

ffmpeg (7:4.2.2-3) unstable; urgency=medium

  * fix limit libmfx linking to amd64,
    to match availability of the library

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jun 2020 17:10:49 +0200

ffmpeg (7:4.2.2-2) unstable; urgency=medium

  * link with libsrt;
    build-depend on libsrt-gnutls-dev;
    closes: bug#960140, thanks to Kyle Robbertze
  * add myself as uploader
  * link with libmfx;
    build-depend on libmfx-dev;
    closes: bug#955130, thanks to Tom Yang

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jun 2020 13:53:47 +0200

ffmpeg (7:4.2.2-1ubuntu1) focal; urgency=medium

  * Build with external nv-codec-headers for NVENC accelerated video
    encoding. (LP: #1810649)
    - debian/control:
      + Add B-D libffmpeg-nvenc-dev
    - debian/rules:
      + Add --enable-nvenc for amd64 only

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Sat, 07 Mar 2020 08:39:35 +0000

ffmpeg (7:4.2.2-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.

  * d/control:
    - Change lib*-extra packages to arch any.
    - Tighten dependencies from libav*-extra packages.
    - Bump standards version to 4.5.0.
  * d/rules: Enable opencl (Closes: #944005)

  [ Steve Langasek ]
  * d/tests: Make autopkgtests cross-test-friendly. (Closes: #946241)

 -- James Cowgill <jcowgill@debian.org>  Sat, 25 Jan 2020 16:22:32 +0000

ffmpeg (7:4.2.1-2) unstable; urgency=medium

  * d/patches:
    - avcodec/libtwolame: fix mono default bitrate. (Closes: #943900)
  * d/tests:
    - Replace remaining occurrences of ADTTMP.

 -- James Cowgill <jcowgill@debian.org>  Sat, 02 Nov 2019 01:17:31 +0000

ffmpeg (7:4.2.1-1) unstable; urgency=medium

  * New upstream release.
    - avcodec/vqavideo: Set video size. (CVE-2019-17542)
    - avcodec/utils: Check close before calling it. (CVE-2019-17539)

  * d/copyright: Various copyright updates for 4.2.
  * d/patches: Add patch to fix sbcenc segfault on armhf.
  * d/rules:
    - Enable libartbb24.
    - Disable MSA2.
    - Update list of non-enabled libraries.
  * d/*.symbols: Updates for 4.2.
  * d/tests: Update encdec lists with 4.2 additions.

 -- James Cowgill <jcowgill@debian.org>  Mon, 28 Oct 2019 18:14:56 +0000

ffmpeg (7:4.1.4-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release. (LP: #1837480)
    - avformat/aadec: Check for scanf() failure (CVE-2019-12730)
      (Closes: #932469)

  * d/copyright: Remove paragraph containing license files.
  * d/control: Bump standards version to 4.4.0.
  * d/ffmpeg-doc.doc-base*:
    - Move API docs to Programming/C section.
    - Index the main manual pages as well.
      Thanks to 積丹尼 Dan Jacobson for the suggestion. (Closes: #924528)
  * d/rules:
    - Disable crystalhd. (Closes: #917292)
    - Generate index.html file for the HTML manual pages.

  [ Ondřej Nový ]
  * d/control:
    - Use debhelper-compat instead of debian/compat.

 -- James Cowgill <jcowgill@debian.org>  Sat, 27 Jul 2019 11:24:18 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog ffmpeg-doc`.
